"""memories URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from collection.views import (
    gather_view,
    list_view,
    detail_view,
    image_view,
    thumbnail_view,
    video_view,
    list_year_month,
)


urlpatterns = [
    path("admin/", admin.site.urls),
    path("gather/", gather_view),
    path("", list_view, name="list"),
    path("year/<int:year>", list_year_month, name="list-year"),
    path("year/<int:year>/<int:month>", list_year_month, name="list-year-month"),
    path("<int:picture_id>", detail_view, name="detail"),
    path("img/<int:picture_id>", image_view, name="image"),
    path("thumb/<int:picture_id>", thumbnail_view, name="thumbnail"),
    path("video/<int:picture_id>", video_view, name="video"),
]
